TICKIT_TERM_SET_INPUT_FD(3)

NAME
tickit_term_set_input_fd, tickit_term_get_input_fd - manage terminal input

SYNOPSIS
    #include <tickit.h>

    void tickit_term_set_input_fd(TickitTerm *tt, int fd);
    int tickit_term_get_input_fd(TickitTerm *tt);

Link with -ltickit.

DESCRIPTION
tickit_term_set_input_fd() is discouraged and should not be used by applications. See instead the open and input_fd fields of the TickitTermBuilder struct to tickit_term_build(3).

tickit_term_get_input_fd() returns the currently associated input file descriptor, or -1 if none has been set.

RETURN VALUE
tickit_term_get_input_fd() returns a file descriptor or -1.

SEE ALSO
tickit_term_build(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)